| GlsMap Toolkit 1.10.1

Classes | Public Member Functions | Protected Attributes | List of all members
disti::DNCUtil::FACCArray Class Reference

`#include <dnc_util.h>`

## Classes
struct | FACC

## Public Member Functions
| FACCArray (void)
| ~FACCArray ()
bool | IsValid (void) const
unsigned int | GetCount (void) const
bool | InsertFACC (const char *const facc, const unsigned int faccIndex)
const FACC * | FindFACC (const char *const facc) const
const FACC * | GetFACC (const unsigned int faccIndex) const

## Protected Attributes
VPFUtil::PointerArray< FACC > | _faccs

## Detailed Description

encapsulates an array of Feature and Attribute Coding Catalog codes ( see MIL-PRF-89023 ) describing the set of FACC codes used by a feature class

## Constructor & Destructor Documentation

## ◆ FACCArray()

disti::DNCUtil::FACCArray::FACCArray | ( | void |  | ) |
| inline

Ctor

## ◆ ~FACCArray()

disti::DNCUtil::FACCArray::~FACCArray | ( |  | ) |
| inline

Dtor

## Member Function Documentation

## ◆ FindFACC()

const DNCUtil::FACCArray::FACC * DNCUtil::FACCArray::FindFACC | ( | const char *const | facc | ) | const

Determine if the given FACC code is in the array

Parameters

  facc | code in question

Returns
  FACC if found else NULL

## ◆ GetCount()

unsigned int disti::DNCUtil::FACCArray::GetCount | ( | void |  | ) | const
| inline

Get the number of FACC codes in the array

Returns
  number of FACC codes in the array

## ◆ GetFACC()

const FACC * disti::DNCUtil::FACCArray::GetFACC | ( | const unsigned int | faccIndex | ) | const
| inline

Get the FACC code at the given index

Parameters

  faccIndex | zero based index into array ( < GetCount() )

Returns
  facc code else NULL

## ◆ InsertFACC()

bool DNCUtil::FACCArray::InsertFACC | ( | const char *const | facc,
|  | const unsigned int | faccIndex
| ) |  |

Insert a FACC code into the array

Parameters

  facc | code to insert (deep copied into array)
  faccIndex | zero based index into value descriptor table for facc code

Returns
  true if success else false

## ◆ IsValid()

bool disti::DNCUtil::FACCArray::IsValid | ( | void |  | ) | const
| inline

Determine if the array is valid

Returns
  true if valid else false

## Member Data Documentation

## ◆ _faccs

VPFUtil::PointerArray<FACC> disti::DNCUtil::FACCArray::_faccs
| protected

array of FACC pointers

The documentation for this class was generated from the following files:

- dnc_util.h
- dnc_util.cpp